# Changelog

All notable changes to this project will be documented in this file.

## [0.3.2] - 2024-10-17

### 🐛 Bug Fixes

- *(deps)* Update module github.com/sparetimecoders/goamqp to v0.3.1

### ⚙️ Miscellaneous Tasks

- Add Unbound Release flow

### Build

- *(deps)* Bump github.com/sparetimecoders/goamqp from 0.2.0 to 0.2.1
- *(deps)* Bump github.com/sparetimecoders/goamqp from 0.2.1 to 0.3.0

## [0.3.1] - 2023-11-09

### ⚙️ Miscellaneous Tasks

- Remove patch level from go requirement

## [0.3.0] - 2023-10-09

### 🚀 Features

- Handle type mappings

### ⚙️ Miscellaneous Tasks

- Switch to manual rebases for Dependabot

### Build

- *(deps)* Bump github.com/sparetimecoders/goamqp from 0.1.2 to 0.1.3
- *(deps)* Bump github.com/sparetimecoders/goamqp from 0.1.3 to 0.1.4
- *(deps)* Bump github.com/sparetimecoders/goamqp from 0.1.4 to 0.1.5

## [0.2.0] - 2022-10-28

### ⚙️ Miscellaneous Tasks

- Add context

### Build

- *(deps)* Bump github.com/sparetimecoders/goamqp from 0.1.1 to 0.1.2

## [0.1.0] - 2022-07-01

### ⚙️ Miscellaneous Tasks

- Use latest goamqp module

## [0.0.7] - 2022-05-27

### ⚙️ Miscellaneous Tasks

- Add dependabot config
- Upgrade to latest goamqp version

### Build

- Update to Go 1.18
- Update to v0.5.0 of goamqp

### Deps

- Upgrade uuid

## [0.0.6] - 2021-01-21

### ⚙️ Miscellaneous Tasks

- Upgrade to latest version of goamqp

## [0.0.5] - 2021-01-19

### 🐛 Bug Fixes

- Response listener has to listen to sloth of course

## [0.0.4] - 2021-01-14

### ⚙️ Miscellaneous Tasks

- Add method for generating goamqp.ServiceResponseListeners

## [0.0.3] - 2021-01-14

### 🚀 Features

- Add support for multiple request types

## [0.0.2] - 2021-01-13

### 🚀 Features

- Initial commit

<!-- generated by git-cliff -->
